# GeocoderService

#### new Cesium.GeocoderService()
Core/GeocoderService.js 19

Provides geocoding through an external service. This type describes an interface and is not intended to be used.

##### See:

- BingMapsGeocoderService
- PeliasGeocoderService
- OpenCageGeocoderService

### Methods

#### geocode(query, type) → Promise.<Array.<GeocoderService.Result>>
Core/GeocoderService.js 28

Name | Type | Default | Description
--- | --- | --- | ---
`query` | String |  | The query to be sent to the geocoder service
`type` | GeocodeType | `GeocodeType.SEARCH` | optional The type of geocode to perform.

##### Returns:

### Type Definitions

#### Cesium.GeocoderService.Result
Core/GeocoderService.js 3

##### Properties:

Name | Type | Description
--- | --- | ---
`displayName` | String | The display name for a location
`destination` | Rectangle | Cartesian3 | The bounding box for a location